﻿/*
 * FILE:        ParameterNames.cs
 *                                                                      
 * DESCRIPTION: The file contains names of parameters used by KMeansClusteringController.
 *
 * VERSION:     v1.0, updated July 2011.
 *
 * Copyright © 2011 Microsoft Corporation. All rights reserved.
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Research.MapReduce.Samples.KMeansClustering
{
    /// <summary>
    /// Contains names of parameters used by <see cref="Research.MapReduce.Samples.KMeansClustering.KMeansClusteringController"/>.
    /// </summary>
    public class ParameterNames
    {
        #region Fields

        public const string InputDataLocation = "InputDataLocation";
        public const string OutputDataLocation = "OutputDataLocation";
        public const string Mappers = "Mappers";
        public const string Reducers = "Reducers";
        public const string ClusterColumns = "ClusterColumns";
        public const string InitialClustersLocation = "InitialClustersLocation";
        public const string Clusters = "Clusters";
        public const string JobTimeoutInMinutes = "JobTimeoutInMinutes";

        internal const string InputClusters = "InputClusters";
        internal const string FirstClusterColumnIndex = "FirstClusterColumnIndex";
        internal const string SecondClusterColumnIndex = "SecondClusterColumnIndex";

        #endregion
    }
}
