﻿//------------------------------------------------------------------------------------------------- 
// <copyright file="FindAttributesCountReducer.cs" company="Microsoft">
// Copyright (c) Microsoft. All rights reserved.
// </copyright>
//-------------------------------------------------------------------------------------------------

namespace Research.MapReduce.Samples.OutlierDetection
{
    using System.Collections.Generic;
    using System.Linq;
    using Research.MapReduce.Core;

    /// <summary>
    /// Finds the frequency of attributes of all the partitions.
    /// </summary>
    public sealed class FindAttributesCountReducer : IReducer<string, int, string, int>
    {
        /// <summary>
        /// Configure Reducer.
        /// </summary>
        /// <param name="context">ReduceContext to get the user inputs.</param>
        public void Configure(ReduceContext<string, int> context)
        {
            ////No configuration is required.
        }

        /// <summary>
        /// No records are filtered in this method.
        /// </summary>
        /// <param name="key">Integer key.</param>
        /// <param name="values">Values with the same key.</param>
        /// <param name="context">ReduceContext to get the user inputs.</param>
        /// <returns>output of match filter operator.</returns>
        public IEnumerable<KeyValuePair<string, int>> Reduce(string key, IEnumerable<int> values, ReduceContext<string, int> context)
        {
            yield return new KeyValuePair<string, int>(key, values.Sum());
        }
    }
}